%define use_qt5 0
%{?_with_qt5: %global use_qt5 1}
%{?_without_qt5: %global use_qt5 0}

Name:		x2goclient
Version:	4.0.5.2
Epoch:		1
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Remote access
%if %{use_qt5}
Summary:	A Qt5 client for the x2go system
%else
Summary:	A Qt4 client for the x2go system
%endif
Url:		http://www.x2go.org
Source0:	http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Patch2:		x2goclient-optflags.patch
BuildRequires:	gcc-c++ 
BuildRequires:	libldap-devel
BuildRequires:	ImageMagick 
BuildRequires:	cups-devel
BuildRequires:	ssh-devel
BuildRequires:	xpm-devel
BuildRequires:	man
%if %{mdvver} > 5
BuildRequires:	man2html
%endif
%if %{use_qt5}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5X11Extras)
%else
BuildRequires:	qt4-devel
%endif
Requires:	hicolor-icon-theme
Requires:	nxproxy

%description
X2goclient is a graphical qt4 client for the x2go system.
You can use it to connect to running sessions and start new sessions. 

%package mozilla-plugin
Summary:	Browser plugin for x2goclient
Group:		Networking/Remote access

%description mozilla-plugin
Browser plugin for x2goclient

%prep
%setup -q
%patch2 -p1 -b .optflags

# Fix up install issues
sed -i -e 's/-o root -g root//' Makefile
sed -i -e '/^MOZPLUGDIR=/s/lib/%{_lib}/' Makefile
%if %{use_qt5}
sed -i -e '/^QMAKE_BINARY=/s@qmake-qt4@%{_libdir}/qt5/bin/qmake@' Makefile
sed -i -e '/^LRELEASE_BINARY=/s@lrelease-qt4@%{_libdir}/qt5/bin/lrelease@' Makefile
%else
sed -i -e '/^QMAKE_BINARY=/s@qmake-qt4@%{_libdir}/qt4/bin/qmake@' Makefile
sed -i -e '/^LRELEASE_BINARY=/s@lrelease-qt4@%{_libdir}/qt4/bin/lrelease@' Makefile
%endif

%build
%make PREFIX=%{_prefix} \
	MOZPLUGDIR=%{_libdir}/mozilla/plugins

%install
%makeinstall_std PREFIX=%{_prefix} \
	MOZPLUGDIR=%{_libdir}/mozilla/plugins \
	INSTALL_DIR="install -d -m0755" \
	INSTALL_FILE="install -m0644" \
	INSTALL_PROGRAM="install -m0755"

desktop-file-edit --remove-key=Version %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-edit --remove-key=Category %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-edit --add-category=Network %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-edit --add-category=Qt %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-edit --add-category=KDE %{buildroot}%{_datadir}/applications/%{name}.desktop

# (cg) Kill for now, but feel free to package if needed/desirable
rm -f %{buildroot}%{_sysconfdir}/x2go/plugin-provider/x2goplugin.html \
  %{buildroot}%{_sysconfdir}/x2go/x2goplugin-apache.conf \
  %{buildroot}%{_datadir}/x2go/plugin/x2goplugin.html

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.xz
%{_datadir}/%{name}

%files mozilla-plugin
%{_libdir}/mozilla/plugins/libx2goplugin.so


%changelog
* Tue Jan 17 2017 ghibo <ghibo> 1:4.0.5.2-1.mga6
+ Revision: 1082188
- Add conditional building flag for building against Qt5.
- Update to release 4.0.5.2.
- Merge Patch2 from Fedora.

* Wed Feb 17 2016 umeabot <umeabot> 1:4.0.1.3-6.mga6
+ Revision: 963470
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 1:4.0.1.3-5.mga6
+ Revision: 902882
- BR man2html

* Wed Oct 15 2014 umeabot <umeabot> 1:4.0.1.3-4.mga5
+ Revision: 748804
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:4.0.1.3-3.mga5
+ Revision: 730732
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:4.0.1.3-2.mga5
+ Revision: 690534
- Mageia 5 Mass Rebuild

* Sun Jan 26 2014 colin <colin> 1:4.0.1.3-1.mga4
+ Revision: 568255
- New version: 4.0.1.3

* Wed Nov 20 2013 dams <dams> 1:4.0.0.1-4.mga4
+ Revision: 552065
- some fix for the install part

* Fri Oct 18 2013 umeabot <umeabot> 1:4.0.0.1-3.mga4
+ Revision: 520372
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1:4.0.0.1-2.mga3
+ Revision: 386404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 obgr_seneca <obgr_seneca> 1:4.0.0.1-1.mga3
+ Revision: 344103
- new version

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 1:3.99.2.2-1.mga3
+ Revision: 283870
- Rediffed patch
- New version

* Thu Jun 14 2012 obgr_seneca <obgr_seneca> 1:3.99.2.1-1.mga3
+ Revision: 260553
- new version 3.99.2.1

* Mon May 28 2012 obgr_seneca <obgr_seneca> 1:3.99.2.0-1.mga3
+ Revision: 247877
- New version 3.99.2.0

* Tue Apr 03 2012 obgr_seneca <obgr_seneca> 1:3.99.1.1-1.mga2
+ Revision: 228283
- New version 3.99.1.1

* Fri Mar 02 2012 obgr_seneca <obgr_seneca> 1:3.99.1.0-2.mga2
+ Revision: 216780
- added missing require on nxproxy

* Wed Feb 29 2012 obgr_seneca <obgr_seneca> 1:3.99.1.0-1.mga2
+ Revision: 216033
- removed forced reduction of build threats
- added man as BR
- force only 4 threads on make
- rewrote SPEC file
- use more generic build process now
- added patch for qt build tools binary name
- added mozilla plugin sub package
- new version 3.99.1.0

* Tue Feb 07 2012 obgr_seneca <obgr_seneca> 1:3.99.0.6-1.mga2
+ Revision: 205880
- new version 3.99.0.6

* Sat Jan 28 2012 obgr_seneca <obgr_seneca> 1:3.99.0.5-1.mga2
+ Revision: 202634
- new version 3.99.0.5

* Fri Jan 13 2012 obgr_seneca <obgr_seneca> 1:3.99.0.3-1.mga2
+ Revision: 195821
- added xpm-devel as BR
- new version 3.99.0.3

* Thu Jan 05 2012 obgr_seneca <obgr_seneca> 1:3.0.1.18-1.mga2
+ Revision: 191589
- new version 3.0.1.18
- added Epoch because of upstream versioning change
- added patch to fix qmake file
- added patch to build against cups 1.5.0

* Tue Apr 19 2011 obgr_seneca <obgr_seneca> 3.01-4.mga1
+ Revision: 88464
- imported package x2goclient

